[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TPipeReason

Represents reasons that a pipe event was signalled.

## Declaration

Source position: interfacebase.pp line 43

`type TPipeReason = (`
`prDataAvailable,` |  | Data is available as input for the pipe.
`prBroken,` |  | The pipe was closed or did not provide expected data.
`prCanWrite` |  | Data is available to be written as output.
`);`

## Description

TPipeReason is an enumerated type with values that represent reasons a pipe event was signalled. TPipeReason values are passed as a parameter to TPipeEvent event handler routines used in WidgetSet classes.

## See also

TPipeEvent |  | Specifies an event handler signalled for a pipe handle in a widgetset object.